Bug 491240 - Review Request: dropwatch - monitor for dropped network packets in the kernel
Review Request: dropwatch - monitor for dropped network packets in the kernel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 20:53 EDT by Neil Horman
Modified: 2009-04-08 07:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-08 07:43:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Neil Horman 2009-03-19 20:53:07 EDT
Spec URL: 
https://fedorahosted.org/releases/d/r/dropwatch/dropwatch.spec

SRPM URL: 
https://fedorahosted.org/releases/d/r/dropwatch/dropwatch-1.0-1.fc9.src.rpm

Description: 
Dropwatch is the user space utility that interfaces to a new kernel netlink protocol for the purposes of monitoring the linux network stack for dropped packets.
Comment 1 Parag AN(पराग) 2009-03-20 01:03:25 EDT
missing BR:readline-devel
Comment 2 Parag AN(पराग) 2009-03-20 05:05:22 EDT
also, I found spec is not following packaging guidelines
1) use valid buidlroot value from 
http://fedoraproject.org/wiki/PackagingGuidelines#BuildRoot_tag
2) use macros as given at https://fedoraproject.org/wiki/Packaging/RPMMacros
3) compiler flags are not used.
http://fedoraproject.org/wiki/PackagingGuidelines#Compiler_flags
4) License should be GPLv2+
5) rpmlint gave
dropwatch.i386: W: non-standard-group Applications/Utilities
Comment 3 Parag AN(पराग) 2009-03-20 05:16:01 EDT
Got one more query not related to packaging but I think ifconfig also gives count of dropped packets. Summary of this package is " Kernel dropped packet monitor" then what is difference between dropped packets counted by ifconfig and this dropwatch utility?
Comment 4 Neil Horman 2009-03-20 07:17:37 EDT
Thank you.  New package for review
Spec URL: 
https://fedorahosted.org/releases/d/r/dropwatch/dropwatch.spec

SRPM URL: 
https://fedorahosted.org/releases/d/r/dropwatch/dropwatch-1.0-2.fc9.src.rpm

Regarding the difference between dropwatch and ifconfig, its all written up on the hosted page:
http://fedorahosted.org/dropwatch

Ifconfig measures dropped packets in the hardware and driver of a specific interface, while dropwatch monitors them throughout the network stack, disambiguating their location and cause.

Thanks!
Comment 5 Parag AN(पराग) 2009-03-23 02:28:35 EDT
unable to download Source tarball.
Comment 6 Neil Horman 2009-03-23 06:51:32 EDT
sorry, built it on an F-10, rather than F-9 System.  My bad.  New links below:

Spec URL: 
https://fedorahosted.org/releases/d/r/dropwatch/dropwatch.spec

SRPM URL: 
https://fedorahosted.org/releases/d/r/dropwatch/dropwatch-1.0-2.fc10.src.rpm
Comment 7 Parag AN(पराग) 2009-03-23 07:03:21 EDT
But how can I download source used to build this package?
wget https://fedorahosted.org/releases/d/r/dropwatch/dropwatch-1.0.tar.gz
gave  ERROR 404: Not Found.
Comment 8 Parag AN(पराग) 2009-03-23 07:08:42 EDT
sorry I mean to say
https://fedorahosted.org/releases/d/r/dropwatch/dropwatch-1.0.tbz2
Comment 9 Neil Horman 2009-03-23 07:10:20 EDT
Thats odd, I'm sorry.  My makefiles must have been messed up.  The source tarball is there now:
https://fedorahosted.org/releases/d/r/dropwatch/dropwatch-1.0.tbz2

Note its dropwatch-1.0.tbz2, not .tar.gz
Comment 10 Parag AN(पराग) 2009-03-23 07:14:48 EDT
reverifying source tarball with packaged tarball in SRPM
c1e73c91dcb8bdb10eb41767e2007a7c  dropwatch-1.0.tbz2
7cdb49fa2e16847a032a98abffc26481  ../SOURCES/dropwatch-1.0.tbz2

md5sum failed to verify tarball.

Can you please remove srpm and again tarball with same name from tarball dropwatch-1.0.tbz2?
Comment 12 Parag AN(पराग) 2009-03-23 23:46:02 EDT
Review:
+ package builds in mock (rawhide i586).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1255875
+ rpmlint output for SRPM and for RPM.
dropwatch.i586: E: explicit-lib-dependency libnl
==> Can be ignored
+ source files match upstream url
34338735d1d2d339c92f21d9c7f1202f  dropwatch-1.0.tbz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.


Can you also tell me how to test dropwatch and can it be possible to test on F10?
on F10 when I ran dropwatch I got
Unable to find NET_DM family, dropwatch can't work
Cleaning up on socket creation error
Comment 13 Neil Horman 2009-03-24 07:12:49 EDT
Yeah, you'll be able to test on F-10 and rawhide shortly.  Dropwatch needs some kernel bits that I wrote to work properly.  Specifically, it needs these patches, which are slated for 2.6.30:
http://git.kernel.org/?p=linux/kernel/git/davem/net-next-2.6.git;a=commit;h=4893d39e865b2897bf9fcd329697d37032d853a1

http://git.kernel.org/?p=linux/kernel/git/davem/net-next-2.6.git;a=commit;h=ead2ceb0ec9f85cff19c43b5cdb2f8a054484431

http://git.kernel.org/?p=linux/kernel/git/davem/net-next-2.6.git;a=commit;h=9a8afc8d3962f3ed26fd6b56db34133860ed1e72

http://git.kernel.org/?p=linux/kernel/git/davem/net-next-2.6.git;a=commit;h=273ae44b9cb9443e0b5265cdc99f127ddb95c8db

I'm working on getting them backported for rawhide and F-10.  I'll provide you a pointer to my koji builds as soon as I have them.
Comment 14 Parag AN(पराग) 2009-03-24 09:00:46 EDT
Thanks for above information.

APPROVED.
Comment 15 Neil Horman 2009-03-24 09:55:36 EDT
Thanks!
New Package CVS Request
=======================
Package Name: dropwatch
Short Description: dropwatch is a monitor used to detect dropped packets in the linux networking stack
Owners: nhorman
Branches: devel F-10
InitialCC:
Comment 16 Kevin Fenzi 2009-03-24 13:28:13 EDT
cvs done.
Comment 17 Parag AN(पराग) 2009-04-08 00:11:52 EDT
If this is built for all requested branches then can we have this closed now?

Note You need to log in before you can comment on or make changes to this bug.